SetVmQxlMemory
SetVmQxlMemory
PUT
/zstack/v1/vm-instances/{uuid}/actionsOperation ID
SetVmQxlMemorySince
3.7.0Execution Mode
SynchronousAuth Context
Auth RequiredAuth Context
Send these values as request headers when calling this API.
AuthorizationstringRequiredBearer Token
X-Tenant-IDstringX-Tenant-ID
Request Inputs
application/jsonPath Parameters
uuidStringRequiredThe VM instance UUID.
Body Fields
ramIntegerOptional. The Random Access Memory (RAM) size. Default value: 65536.
vramIntegerOptional. The video RAM (VRAM) size. Default value: 32768.
vgamemIntegerOptional. The Video Graphics Array (VGA) memory size. Default value: 16384.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
